const TypeDoc = require('type-doc@0.1.6').main;;
TypeDoc(`const someString /* t:String */ = 1`);;
TypeDoc(`
function transform(input /* t:a */, translationFunction /* t:a -> b */) /* t:b */ {
  return translationFunction(input);
}

const aNumber /* t:Number */ = 4
const results /* t:String */ = transform(aNumber, (theNumber) => theNumber);
`);;
TypeDoc(`
function add(input1 /* t:a */, input2 /* t:a */) /* t:a */ {
  return input1 + input2;
}
const aNumber /* t:Number */ = 4;
const aString /* t:String */ = '5';
add(aNumber, aString);
`);;
TypeDoc(`
/**
 * class :: TestClass
 *   aString :: String
 *   aGoodMethod :: String -> Number
 */
class TestClass {
    constructor() {
      this.aString = 'hello';
    }
    aGoodMethod(s /* t:String */) /* t:String */ {
      return s;
    }
}
`);;
